Package ghidra.app.util.bin.format.pe.resource

# Class ResourceDataEntry

java.lang.Object
ghidra.app.util.bin.format.pe.resource.ResourceDataEntry

All Implemented Interfaces:
  `StructConverter`

public class ResourceDataEntry extends Object implements StructConverter

     typedef struct _IMAGE_RESOURCE_DATA_ENTRY {
         DWORD   OffsetToData;
         DWORD   Size;
         DWORD   CodePage;
         DWORD   Reserved;
     };

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  `static final int`
  `SIZEOF`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceDataEntry(BinaryReader reader, int index)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCodePage()`
  `int`
  `getOffsetToData()`
  Returns the offset, relative to the beginning of the resource directory of the data for the resource.
  `int`
  `getReserved()`
  Reserved, use unknown.
  `int`
  `getSize()`
  Returns a size field that gives the number of bytes of data at that offset.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### SIZEOF

    public static final int SIZEOF
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResourceDataEntry

    public ResourceDataEntry(BinaryReader reader, int index) throws IOException
    Constructor.
    Parameters:
      `reader` - the binary reader
      `index` - the index where this entry begins
    Throws:
      `IOException`

- ## Method Details

  - ### getOffsetToData

    public int getOffsetToData()
    Returns the offset, relative to the beginning of the resource directory of the data for the resource.
    Returns:
      the offset, relative to the beginning of the resource directory

  - ### getSize

    public int getSize()
    Returns a size field that gives the number of bytes of data at that offset.
    Returns:
      a size field that gives the number of bytes of data at that offset,

  - ### getCodePage

    public int getCodePage()
    Returns:
      a CodePage that should be used when decoding the resource data

  - ### getReserved

    public int getReserved()
    Reserved, use unknown.
    Returns:
      reserved, use unknown

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`